<?php

require_once("_base.php");

class Backend extends Base {

  var $tplData = array(
    "body_file" => "backend/blank.tpl",
    "page_title" => "",
    "page_header_title" => ""
  );

  function Backend() {
  
    parent::Base();
  }
  
  function _setBody($filename)
  {
    $this->tplData["body_file"] = "backend/$filename.tpl";
  }
  
  function _display()
  {
    $this->_assign("admin_loged", $this->user->isLogedIn());
    
    $this->_assign('menu_lang', $this->language->getLang('admin_menu'));
    $this->_assign('langmenu_lang', $this->language->getLang('lang_panel'));
    $this->_assign("overall_lang", $this->language->GetLang("overall"));
    
    $this->_assignTplData();
    
    $this->_buildLangPanel();
    
    $this->ci_smarty->display("backend_layout.tpl");
  }
  
  function _displayPopup()
  {
    $this->_assign("admin_loged", $this->user->isLogedIn());
    
    $this->_assign('menu_lang', $this->language->getLang('admin_menu'));
    $this->_assign('langmenu_lang', $this->language->getLang('lang_panel'));
    $this->_assign("overall_lang", $this->language->GetLang("overall"));
    
    $this->_assignTplData();
    
    $this->_buildLangPanel();
    
    $this->ci_smarty->display("backend_popup_layout.tpl");
  }
}

?>